Bug 237693 - ibnd_debug(3) manpage is broken
Summary: ibnd_debug(3) manpage is broken
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-01 15:35 UTC by Wolfram Schneider
Modified: 2021-02-18 15:07 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfram Schneider freebsd_committer 2019-05-01 15:35:51 UTC
There is a manual page ibnd_debug(3)

If you want to read it you will get an error:

$ man ibnd_debug
<standard input>:2: can't open `man3/ibnd_discover_fabric.3': No such file or directory

How to check:
$ zcat /usr/share/man/man3/ibnd_debug.3.gz | nroff -man
<standard input>:2: can't open `man3/ibnd_discover_fabric.3': No such file or directory
Comment 1 Wolfram Schneider freebsd_committer 2019-05-01 15:39:47 UTC
Same problem for the manpages:

ibnd_find_node_dr
ibnd_iter_nodes_type
ibnd_show_progress
ibnd_destroy_fabric
Comment 2 Fernando Apesteguía freebsd_committer 2021-02-17 14:25:35 UTC
https://reviews.freebsd.org/D28727
Comment 3 commit-hook freebsd_committer 2021-02-18 15:06:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=0577e39bec76b23aa099b68d5d1c832cc3823c38

commit 0577e39bec76b23aa099b68d5d1c832cc3823c38
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-02-17 14:55:57 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-02-18 14:59:34 +0000

    Fix ibnd_* manpages sources

    Some ibnd_* manpages source other manpages from a `man3/` directory when it
    should reference the pages in the current directory.

    Instead of modifying contributing sources and using `.so` (discouraged by
    mandoc(1)) use MLINKS in the proper Makefile and do not install the affected
    manpages.

    PR: 237693
    Reported by: wosch@FreeBSD.org
    Reviewed by: gbe@ (mentor) yuripv@
    Approved by: gbe@ (mentor) yuripv@
    Differential Revision: https://reviews.freebsd.org/D28727

 lib/ofed/libibnetdisc/Makefile | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)
Comment 4 Fernando Apesteguía freebsd_committer 2021-02-18 15:07:06 UTC
Fixed,

Thanks!